| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Gaudi::IFileCatalogMgr Class Reference

`#include <GaudiUtils/IFileCatalogMgr.h>`

Inheritance diagram for Gaudi::IFileCatalogMgr:

[legend]
Collaboration diagram for Gaudi::IFileCatalogMgr:

[legend]
List of all members.

## Detailed Description

File catalog manager.

Interface to add/remove file catalogs from the multi catalog.

Author:
  M.Frank

Version:
  1.0

Date:
  20/10/2007

Definition at line 29 of file IFileCatalogMgr.h.

## Public Types
typedef std::vector< IFileCatalog * > | Catalogs
| Public type definitions.
## Public Member Functions
virtual IFileCatalog * | findCatalog (const std::string &connect, bool must_be_writable) const =0
| Find catalog by connect string.
virtual void | addCatalog (const std::string &connect)=0
| Add new catalog identified by name to the existing ones.
virtual void | addCatalog (IFileCatalog *cat)=0
| Add new catalog identified by reference to the existing ones.
virtual void | removeCatalog (const std::string &connect)=0
| Remove catalog identified by name from the existing ones.
virtual void | removeCatalog (const IFileCatalog *cat)=0
| Remove catalog identified by reference from the existing ones.
virtual Catalogs & | catalogs ()=0
| Access catalog container.
virtual const Catalogs & | catalogs () const=0
| Access catalog container (CONST).
virtual IFileCatalog * | writeCatalog (const std::string &fid="") const =0
| Access to the (first) writable file catalog.
virtual void | setWriteCatalog (IFileCatalog *cat)=0
| Define the writable catalog identified by reference.
virtual void | setWriteCatalog (const std::string &connect)=0
| Define the writable catalog identified by name.
## Static Public Member Functions
static const InterfaceID & | interfaceID ()
| Retrieve interface ID.

## Member Typedef Documentation

typedef std::vector<IFileCatalog*> Gaudi::IFileCatalogMgr::Catalogs

Public type definitions.

Reimplemented in Gaudi::MultiFileCatalog.

Definition at line 32 of file IFileCatalogMgr.h.

## Member Function Documentation

static const InterfaceID& Gaudi::IFileCatalogMgr::interfaceID | ( |  | ) | `[inline, static]`

Retrieve interface ID.

Reimplemented from IInterface.

Definition at line 35 of file IFileCatalogMgr.h.

References IID_IFileCatalogMgr, and interfaceID().

Referenced by interfaceID().

    00035 { return IID_IFileCatalogMgr; }

virtual IFileCatalog* Gaudi::IFileCatalogMgr::findCatalog | ( | const std::string & | connect,
|  | bool | must_be_writable |
| ) |  |  | const`[pure virtual]`

Find catalog by connect string.

virtual void Gaudi::IFileCatalogMgr::addCatalog | ( | const std::string & | connect | ) | `[pure virtual]`

Add new catalog identified by name to the existing ones.

virtual void Gaudi::IFileCatalogMgr::addCatalog | ( | IFileCatalog * | cat | ) | `[pure virtual]`

Add new catalog identified by reference to the existing ones.

Implemented in Gaudi::MultiFileCatalog.

virtual void Gaudi::IFileCatalogMgr::removeCatalog | ( | const std::string & | connect | ) | `[pure virtual]`

Remove catalog identified by name from the existing ones.

virtual void Gaudi::IFileCatalogMgr::removeCatalog | ( | const IFileCatalog * | cat | ) | `[pure virtual]`

Remove catalog identified by reference from the existing ones.

Implemented in Gaudi::MultiFileCatalog.

virtual Catalogs& Gaudi::IFileCatalogMgr::catalogs | ( |  | ) | `[pure virtual]`

Access catalog container.

Implemented in Gaudi::MultiFileCatalog.

virtual const Catalogs& Gaudi::IFileCatalogMgr::catalogs | ( |  | ) | const`[pure virtual]`

Access catalog container (CONST).

Implemented in Gaudi::MultiFileCatalog.

virtual IFileCatalog* Gaudi::IFileCatalogMgr::writeCatalog | ( | const std::string & | fid = `""` | ) | const`[pure virtual]`

Access to the (first) writable file catalog.

virtual void Gaudi::IFileCatalogMgr::setWriteCatalog | ( | IFileCatalog * | cat | ) | `[pure virtual]`

Define the writable catalog identified by reference.

Implemented in Gaudi::MultiFileCatalog.

virtual void Gaudi::IFileCatalogMgr::setWriteCatalog | ( | const std::string & | connect | ) | `[pure virtual]`

Define the writable catalog identified by name.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiUtils/v2r0/GaudiUtils/IFileCatalogMgr.h